﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XamMultiColumnEdito_XamRibbon
{
    public class MainWindowViewModel
    {
        // This is the data that gets bound to the ItemsSource property in the XamMultiColumnComboEditors
        public SampleTestDataForComboEditor Data { get; set; }

        // Constructor for the view model.
        public MainWindowViewModel()
        {
            // Instantiate the data.
            Data = new SampleTestDataForComboEditor();
        }
    }
    public class SampleTestDataForComboEditor : ObservableCollection<SampleData>
    {
        public SampleTestDataForComboEditor()
        {
            Add(new SampleData(1265454, "This is a really long string number one."));
            Add(new SampleData(94654542, "This is a really long string number two."));
            Add(new SampleData(657575, "This is a really long string number three."));
            Add(new SampleData(987543478, "This is a really long string number four."));
            Add(new SampleData(789451271, "This is a really long string number five."));
            Add(new SampleData(789451, "This is a really long string."));
            Add(new SampleData(789452, "This is a really long string."));
            Add(new SampleData(789453, "This is a really long string."));
            Add(new SampleData(789454, "This is a really long string."));
            Add(new SampleData(789455, "This is a really long string."));
            Add(new SampleData(789456, "This is a really long string."));
            Add(new SampleData(789457, "This is a really long string."));
            Add(new SampleData(789458, "This is a really long string."));
            Add(new SampleData(789459, "This is a really long string."));
            Add(new SampleData(1, "This is a really long string."));
            Add(new SampleData(2, "This is a really long string."));
            Add(new SampleData(3, "This is a really long string."));
            Add(new SampleData(4, "This is a really long string."));
            Add(new SampleData(5, "This is a really long string."));
            Add(new SampleData(6, "This is a really long string."));
            Add(new SampleData(7, "This is a really long string."));
            Add(new SampleData(8, "This is a really long string."));
            Add(new SampleData(9, "This is a really long string."));
            Add(new SampleData(10, "This is a really long string."));
            Add(new SampleData(11, "This is a really long string."));
            Add(new SampleData(12, "This is a really long string."));
            Add(new SampleData(13, "This is a really long string."));
            Add(new SampleData(14, "This is a really long string."));

        }
    }

    public class SampleData
    {
        public int Value { get; set; }

        public string Name { get; set; }

        public string ImagePath { get; set; }

        public SampleData(int val, string name)
        {
            this.Value = val;
            this.Name = name;
            //          this.ImagePath = "Assets/img.png";
        }

    }
}
